function Vqf(){}
function Usf(){}
function esf(a){this.a=a}
function qsf(a){this.a=a}
function nsf(a,b){Tqf(a.a,b)}
function msf(a,b){Tqf(a.c,b)}
function Tqf(a,b){pff(a.a,b)}
function osf(){$Zd.call(this)}
function lsf(a){rff(a.a.a);rff(a.c.a)}
function btf(a){var b;if(!a.g){b=new osf;a.g=b}return a.g}
function $rf(a){var b;lsf(a.A);b=SBh(a.a,lff(),sM(B1c,qyj,1,[]));H8i(y8i(b,oHj),i0j);P8i(y8i(b,j0j),true);uoj(new Nnj(b),new esf(a))}
function _rf(a,b,d,e,g){F9d.call(this,a,b,d,e);this.c=g;this.a=(new $0i(cYb,(bCh(),YBh).Nc(cYb),aCh.Nc(cYb))).a;this.b=new n1i(cYb)}
function Tsf(a){var b;b=sM(X1c,iyj,195,[new ngf(GYj,'Application Failures'),new ngf(IYj,'Resource Failures')]);LYd();a.a=yff(new zff('Failure Origin',F0j),b);return qff(a.a)}
function atf(a){var b;if(!a.f){b=new _rf(MFd(Jce(a.a)),btf(a),_sf(a),(Yoj(pee(a.a)),_pj(ree(a.a))),(_1i(nee(a.a)),PMg(Dde(a.a))));YFd((Kce(a.a),b),VGd(Kce(a.a)));a.f=b}return a.f}
function Uqf(a){var b,d;d=new ngf(zYj,'Number of Transactions');b=sM(X1c,iyj,195,[(d.c=true,d),_ff(new ngf(BYj,'Commited'),d),_ff(new ngf(DYj,'Aborted'),d),_ff(new ngf(xYj,'Timed Out'),d)]);LYd();a.a=yff(new zff('Success Ratio',F0j),b);return qff(a.a)}
function dsf(a,b){var d,e;e=ooj(b);if(e.b.kN(LHj)&&y8i(e,LHj).b.b!=(Rmj(),Qmj)&&!QPd(y8i(e,LHj).b.cf(),MHj)){cd('Failed to load TX metrics: '+A8i(e))}else{d=d1i(a.a.b,y8i(e,xHj));nsf(a.a.A,new hff(sM(F0c,hyj,-1,[d.SF(),d.MF(),d.KF(),d.RF()])));msf(a.a.A,new hff(sM(F0c,hyj,-1,[d.LF(),d.QF()])))}}
K3c(2704,1,{},Vqf);_.a=null;K3c(2726,1408,pzj,_rf);_.Ui=function(){this.A.b=this;E9d(this,$zh(mee((LYd(),JYd).a)))};_.Zi=function(){$rf(this)};_.bj=function(){Wvf(this.c,this)};K3c(2728,1662,{},esf);_.fh=function(a){dsf(this,a)};K3c(2731,1215,Yzj,osf);_.Ch=function(){var a,b;b=new Jnd(K0j);Iz((igd(),b.gb),L0j);b.gb.style[gDj]=(RC(),pDj);b.gb.style[lDj]=-80+(ND(),SBj);b.gb.style[M0j]=n2j;jB(b.gb.style,HB());b.gb.style[kDj]=o2j;Dr(b,(LYd(),'refreshBtnTXMetricViewImp'));b.uh(new qsf(this));this.a=new Vqf;this.c=new Usf;a=SCe(SCe(SCe(VCe(WCe(ZCe(new _Ce,O5j),S5j),'These metrics reflect the current state of the transaction subsystem. If no metrics are shown, you might need to enable statistics for the transaction subsystem.'),OAj,b),'Executions',Uqf(this.a)),'Rollbacks',Tsf(this.c));return TCe(a)};K3c(2732,1,Dyj,qsf);_.me=function(a){$rf(this.a.b)};K3c(2739,1,{},Usf);_.a=null;K3c(2744,1,Xzj);_.ud=function(){uHd(this.b,atf(this.a.a))};var Dvb=sOd(2726),Avb=sOd(2728),Fvb=sOd(2731),Evb=sOd(2732),dvb=sOd(2704),Ovb=sOd(2739);JAj(np)(75);